> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/beneficiaries-management/get-beneficiary-details.md).

# Get Beneficiary Details

The API obtains beneficiary details and fetches comprehensive information by specifying the beneficiary ID.

<mark style="color:blue;">**`GET`**</mark> /payments/beneficiaries/{id}

**Body Parameters Request**

| Name | Type   | Format / Values | Description                                          | Required |
| ---- | ------ | --------------- | ---------------------------------------------------- | -------- |
| id   | string |                 | The Beneficiary 's ID on the platform (external\_id) | Yes      |

**Body Parameters Response**

| Name                    | Type    | Format / Values                                                    | Description                                                                            |
| ----------------------- | ------- | ------------------------------------------------------------------ | -------------------------------------------------------------------------------------- |
| type                    | string  | contact                                                            | Entity type (contact)                                                                  |
| id                      | string  |                                                                    | Unique id of the beneficiary                                                           |
| bank\_details           | object  |                                                                    | Attributes for beneficiaries bank details                                              |
| entity                  | object  |                                                                    | Attributes for beneficiary entity details                                              |
| entity\_type            | string  | INDIVIDUAL, BUSINESS                                               | The legal type of the entity                                                           |
| name                    | string  |                                                                    | Display name of beneficiary                                                            |
| currency                | string  |                                                                    | The 3 letter ISO currency code the bank details are setup to receive                   |
| status                  | string  | ACTIVE, ACTIVATING, REQUIRES\_INPUT, REQUIRES\_ATTENTION, DISABLED | The current status of the beneficiary                                                  |
| active                  | boolean |                                                                    | true when the beneficiary is active for payments                                       |
| user\_tags              | object  |                                                                    | A set of key/value pairs of tags assigned to this beneficiary                          |
| payments                | object  |                                                                    | Extended information on payments made to this beneficiary                              |
| payments.total          | integer |                                                                    | Total number of payments for beneficiary                                               |
| payments.next           | object  |                                                                    | Information on the next upcoming payment for this beneficiary                          |
| payments.next.date      | string  | date-time                                                          | The date the next payment is scheduled to execute                                      |
| payments.next.amount    | integer |                                                                    | The amount to be paid in the next payment                                              |
| payments.next.currency  | string  |                                                                    | The currency the next payment will be credited in                                      |
| payments.last           | object  |                                                                    | Information on the last successful payment made to this beneficiary                    |
| payments.last.date      | string  | date-time                                                          | The date the last payment was executed                                                 |
| payments.last.amount    | integer |                                                                    | The amount credited in the last payment                                                |
| payments.last.currency  | string  |                                                                    | The currency the last payment was credited in                                          |
| payments.history        | object  |                                                                    | Information for all historical payments made to this beneficiary                       |
| payments.history.total  | integer |                                                                    | total number of payments made to this beneficiary                                      |
| payments.history.amount | integer |                                                                    | The total amount credited to this beneficiary so far                                   |
| issues                  | array   | object                                                             | A list of issues and severity asociated with this beneficiary that may affect payments |
| issues\[]               | object  |                                                                    |                                                                                        |
| issues\[].description   | string  |                                                                    | Human readable description of issue                                                    |
| issues\[].hint          | string  |                                                                    | Extended information on this issue                                                     |
| issues\[].action        | string  |                                                                    | Action required to fix issue (when available)                                          |
| issues\[].code          | string  |                                                                    | Issue code                                                                             |
| issues\[].severity      | string  | ERROR, WARNING, INFO                                               | Issue severity                                                                         |

**Request Example**

```json
GET /payments/beneficiaries/15
```

**Response Examples**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "bank_details": {
      "account_country": "AU",
      "account_name": "Brooks Sophia",
      "account_number": "69851423",
      "bank_code": "306053",
      "bank_name": "BANK OF WESTERN AUSTRALIA LIMITED"
   },
   "entity": {
      "address_city": "SYDNEY",
      "address_country": "AU",
      "address_line_1": "777 Green Valley Crescent Chippendale",
      "date_of_birth": "1968-08-29",
      "individual_first_name": " Sophia",
      "individual_last_name": "Brooks"
   },
   "type": "contact",
   "id": "15",
   "entity_type": "INDIVIDUAL",
   "name": " Sophia Brooks",
   "currency": "AUD",
   "status": "ACTIVE",
   "active": true,
   "user_tags": {},
   "payments": {
      "total": 5000,
      "next": {
         "date": "2024-03-07T05:00:00Z",
         "amount": 5000,
         "currency": "AUD"
      },
      "last": {},
      "history": {
         "total": 0,
         "amount": 0
      }
   },
   "issues": [
      {
         "description": "Beneficiary has yet to have been sent a payment",
         "hint": "As no payments have yet to have been sent to this beneficiary, we can not be certain all details are correct",
         "action": "ADD_PAYMENT",
         "code": "NO_PAYMENTS",
         "severity": "WARNING"
      }
   ]
}
```

{% endtab %}

{% tab title="404 - Not found" %}

```json
{
   "error": "not_found",
   "description": "Beneficiary not found",
   "error_code": 404,
   "sub_code": 1000
}
```

{% endtab %}
{% endtabs %}
